MODULE_RUN(3)

FUNCTION
module_run - Initialise and then run a generic module.

SYNOPSIS
#include <karma_module.h>

void module_run

(int argc, char **argv, char *name_string, char *version_string, flag (*decode_func) (), int max_incoming, int max_outgoing, flag server)

DESCRIPTION
Initialise and then run a generic module.

argc
    The number of command line arguments.

argv
    The command line arguments.

name_string
    The name of the module.

version_string
    The version date of the module.

decode_func
    The command line decode function. The prototype function is <-panel_PROTO_decode_func->.

max_incoming
    The maximum number of incoming "multi_array" protocol connections. If this is less than 0, no connections are permitted. If this is 0, an unlimited number of connections is permitted.

max_outgoing
    The maximum number of outgoing "multi_array" protocol connections. If this is less than 0, no connections are permitted. If this is 0, an unlimited number of connections is permitted.

server
    If TRUE, the module can operate as a server (for at least one protocol).

RETURN VALUE
Nothing. Upon return from the function, the module should exit.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/